Skip to main content
POST
Create business auth token

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business to create a business-scoped auth token for

Body

application/json
session_duration
integer<int64>

Length, in seconds, this token will be valid. Default is (3600) 1 hour. Maximum is 24 hours (86400).

Example:

"3600"

Response

access_token
string

The business-scoped access token for the Layer API

Example:

"eyJraWQiOiJaM1BNWbkhFakeAccessTokenKMGExb0ppUm5sRStlbytI6ImFjY2VzcyIsInNjb3BlIjoiaHR0cHM6XC9cLN5-TG3ktXvNe5B9hU9rQgZQ"

expires_in
integer<int64>

Number of seconds until the access token expires

Example:

"12345"

token_type
string

Type of the access token, currently always Bearer.

Example:

"Bearer"